Subject: Re: bug#58992: 28.2; "lax space matching" no longer works

From: Vincent Lefevre <[email-masked]>
Date: Fri, 4 Nov 2022 11:41:15 +0100

On 2022-11-04 09:14:57 +0200, Eli Zaretskii wrote:
> > Date: Fri, 4 Nov 2022 03:29:50 +0100
> > From: Vincent Lefevre <[email-masked]>
> > Cc: [email-masked]
> > 
> > > Because the newline's syntax is not "whitespace" in those modes.
> > 
> > OK, but then, the question is why the newline's syntax is not
> > "whitespace" in those modes...
> 
> Because the mode sets up its syntax tables for various needs, none of
> which is Isearch.

But the manual does not discourage the use of syntax classes
for searching, and it is not clear from the description that
they won't do what the user expects.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)